package wel

import (
	"active/tools"
	"fmt"
	//	"git.jiaxianghudong.com/webs/pkg/vipers"
)

var WelConf WelConfig

var WelConf2 WelConfig

type WelConfig struct {
	Bean     [][]int64 `json:"bean" yaml:"bean"`
	RateList []struct {
		Number []int64 `json:"number" yaml:"number"`
		Rate   []int   `json:"rate" yaml:"rate"`
	} `json:"rate_list" yaml:"rate_list"`
	New []int64 `json:"new" yaml:"new"`

	VideoUser struct { // 视频号过来的用户
		Dataid       int32   `json:"dataid" yaml:"dataid"`
		NewuserAward int64   `json:"newuser_award" yaml:"newuser_award"` // 新用户奖励
		OlduserAward []int64 `json:"olduser_award" yaml:"olduser_award"` // 老用户奖励
	} `json:"video_user" yaml:"video_user"`
}

func Init() {
	tools.ReloadYaml("anchor.yaml", &WelConf)
	fmt.Printf("ff %+v \n", WelConf)

	tools.ReloadYaml("anchor2.yaml", &WelConf2)
	fmt.Printf("ff anchor2 %+v \n", WelConf2)

}
